Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224120 - Kernel crashed when using SCSI-Tape on GDT6513RS Controller
Summary: Kernel crashed when using SCSI-Tape on GDT6513RS Controller
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 07:55 UTC by Frank Heldt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.6.20-1.2933.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 14:03:23 UTC


Attachments (Terms of Use)

Description Frank Heldt 2007-01-24 07:55:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1

Description of problem:
This is a dual PIII SMP (ASUS CUV4X-D Board) with a GDT6513RS SCSI-Raidcontroller, also attached to the GDT6513RS is a Sony SDT-10000 SCSI-Tape.


Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2895.fc6

How reproducible:
Always


Steps to Reproduce:
tar tvf /dev/st0 => boom


Actual Results:
The kernel crashed, with a backtrace on the console.

After that the system is unusable, i had to do a hard reboot (power off / on)

Expected Results:


Additional info:
Is there a simple way to get the backtrace, beside making a copy by hand from the screen? Without this backtrace the bug is hard to find, i suppose.

Comment 1 Chuck Ebbert 2007-03-20 21:21:38 UTC
I think we have the fix for this now. Will you be available to test it?

Comment 2 Frank Heldt 2007-03-22 07:48:49 UTC
I'm eagerly waiting for a fix, so where can i download it? I will test it 
immediately.

Comment 3 Chuck Ebbert 2007-03-26 14:32:35 UTC
Test kernels for this issue are at:

http://people.redhat.com/cebbert

Please test and report back.


Comment 4 Frank Heldt 2007-03-27 09:43:48 UTC
I can confirm that the crash has gone with the latest kernel-2.6.20-1.2933.fc6 
(seems linux-2.6-20.4-SCSI-gdth-fix-oops.patch did it).

Hurray !


Note You need to log in before you can comment on or make changes to this bug.